Skip to main content
GET
/
form_types
List form types
curl --request GET \
  --url https://sandbox.nmbr.co/services/payroll/form_types \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://sandbox.nmbr.co/services/payroll/form_types"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://sandbox.nmbr.co/services/payroll/form_types', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "object": "list",
  "data": [
    {
      "id": "<id>",
      "object": "form_type",
      "data": {
        "type": "td1",
        "label": "TD1 Personal Tax Credits Return",
        "owner_types": [
          "work_assignment"
        ]
      },
      "links": {
        "self": "/form_types/td1"
      }
    },
    {
      "id": "<id>",
      "object": "form_type",
      "data": {
        "type": "td1ab",
        "label": "TD1AB Alberta Personal Tax Credits Return",
        "owner_types": [
          "work_assignment"
        ]
      },
      "links": {
        "self": "/form_types/td1ab"
      }
    },
    {
      "id": "<id>",
      "object": "form_type",
      "data": {
        "type": "td1bc",
        "label": "TD1BC British Columbia Personal Tax Credits Return",
        "owner_types": [
          "work_assignment"
        ]
      },
      "links": {
        "self": "/form_types/td1bc"
      }
    },
    {
      "id": "<id>",
      "object": "form_type",
      "data": {
        "type": "td1mb",
        "label": "TD1MB Manitoba Personal Tax Credits Return",
        "owner_types": [
          "work_assignment"
        ]
      },
      "links": {
        "self": "/form_types/td1mb"
      }
    },
    {
      "id": "<id>",
      "object": "form_type",
      "data": {
        "type": "td1nb",
        "label": "TD1NB New Brunswick Personal Tax Credits Return",
        "owner_types": [
          "work_assignment"
        ]
      },
      "links": {
        "self": "/form_types/td1nb"
      }
    },
    {
      "id": "<id>",
      "object": "form_type",
      "data": {
        "type": "td1nl",
        "label": "TD1NL Newfoundland and Labrador Personal Tax Credits Return",
        "owner_types": [
          "work_assignment"
        ]
      },
      "links": {
        "self": "/form_types/td1nl"
      }
    },
    {
      "id": "<id>",
      "object": "form_type",
      "data": {
        "type": "td1ns",
        "label": "TD1NS Nova Scotia Personal Tax Credits Return",
        "owner_types": [
          "work_assignment"
        ]
      },
      "links": {
        "self": "/form_types/td1ns"
      }
    },
    {
      "id": "<id>",
      "object": "form_type",
      "data": {
        "type": "td1nt",
        "label": "TD1NT Northwest Territories Personal Tax Credits Return",
        "owner_types": [
          "work_assignment"
        ]
      },
      "links": {
        "self": "/form_types/td1nt"
      }
    },
    {
      "id": "<id>",
      "object": "form_type",
      "data": {
        "type": "td1nu",
        "label": "TD1NU Nunavut Personal Tax Credits Return",
        "owner_types": [
          "work_assignment"
        ]
      },
      "links": {
        "self": "/form_types/td1nu"
      }
    },
    {
      "id": "<id>",
      "object": "form_type",
      "data": {
        "type": "td1on",
        "label": "TD1ON Ontario Personal Tax Credits Return",
        "owner_types": [
          "work_assignment"
        ]
      },
      "links": {
        "self": "/form_types/td1on"
      }
    },
    {
      "id": "<id>",
      "object": "form_type",
      "data": {
        "type": "td1pe",
        "label": "TD1PE Prince Edward Island Personal Tax Credits Return",
        "owner_types": [
          "work_assignment"
        ]
      },
      "links": {
        "self": "/form_types/td1pe"
      }
    },
    {
      "id": "<id>",
      "object": "form_type",
      "data": {
        "type": "td1sk",
        "label": "TD1SK Saskatchewan Personal Tax Credits Return",
        "owner_types": [
          "work_assignment"
        ]
      },
      "links": {
        "self": "/form_types/td1sk"
      }
    },
    {
      "id": "<id>",
      "object": "form_type",
      "data": {
        "type": "td1yt",
        "label": "TD1YT Yukon Personal Tax Credits Return",
        "owner_types": [
          "work_assignment"
        ]
      },
      "links": {
        "self": "/form_types/td1yt"
      }
    },
    {
      "id": "<id>",
      "object": "form_type",
      "data": {
        "type": "tp_1015_3_v",
        "label": "Québec Source Deductions Return",
        "owner_types": [
          "work_assignment"
        ]
      },
      "links": {
        "self": "/form_types/tp_1015_3_v"
      }
    },
    {
      "id": "<id>",
      "object": "form_type",
      "data": {
        "type": "td1x",
        "label": "TD1X Statement of Commission Income and Expenses",
        "owner_types": [
          "work_assignment"
        ]
      },
      "links": {
        "self": "/form_types/td1x"
      }
    },
    {
      "id": "<id>",
      "object": "form_type",
      "data": {
        "type": "t4",
        "label": "T4 Statement of Remuneration Paid",
        "owner_types": [
          "employee"
        ]
      },
      "links": {
        "self": "/form_types/t4"
      }
    },
    {
      "id": "<id>",
      "object": "form_type",
      "data": {
        "type": "t4a",
        "label": "T4A Statement of Pension, Retirement, Annuity, and Other Income",
        "owner_types": [
          "employee",
          "contractor"
        ]
      },
      "links": {
        "self": "/form_types/t4a"
      }
    },
    {
      "id": "<id>",
      "object": "form_type",
      "data": {
        "type": "roe",
        "label": "Record of Employment",
        "owner_types": [
          "employee"
        ]
      },
      "links": {
        "self": "/form_types/roe"
      }
    },
    {
      "id": "<id>",
      "object": "form_type",
      "data": {
        "type": "tp_1015_r_13_v",
        "label": "Québec Commissions and Expenses Statement",
        "owner_types": [
          "work_assignment"
        ]
      },
      "links": {
        "self": "/form_types/tp_1015_r_13_v"
      }
    },
    {
      "id": "<id>",
      "object": "form_type",
      "data": {
        "type": "rl1",
        "label": "Relevé 1 (RL-1) - Employment and Other Income",
        "owner_types": [
          "employee"
        ]
      },
      "links": {
        "self": "/form_types/rl1"
      }
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

owner_type
enum<string>
Available options:
contractor,
employee,
work_assignment

Response

200 - application/json

OK

object
string
read-only

The type of the object in Nmbr ("list").

data
object[]